ngram_class_s Struct Reference

Implementation of ngram_class_t. More...

`#include <ngram_model_internal.h>`

## Data Structures

struct | ngram_hash_s
| Custom hash table for additional words. More...

## Data Fields

int32 | tag_wid
| Base word ID for this class tag.
int32 | start_wid
| Starting base word ID for this class' words.
int32 | n_words
| Number of base words for this class.
int32 * | prob1
| Probability table for base words.
struct ngram_class_s::ngram_hash_s * | nword_hash
int32 | n_hash
| Number of buckets in nword_hash (power of 2).
int32 | n_hash_inuse
| Number of words in nword_hash.

## Detailed Description

Implementation of ngram_class_t.

Definition at line 81 of file ngram_model_internal.h.

## Field Documentation

## n_hash

int32 ngram_class_s::n_hash

Number of buckets in nword_hash (power of 2).

Definition at line 94 of file ngram_model_internal.h.

Referenced by ngram_model_add_class_word(), and ngram_model_free().

## n_hash_inuse

int32 ngram_class_s::n_hash_inuse

Number of words in nword_hash.

Definition at line 95 of file ngram_model_internal.h.

Referenced by ngram_model_add_class_word().

## n_words

int32 ngram_class_s::n_words

Number of base words for this class.

Definition at line 84 of file ngram_model_internal.h.

Referenced by ngram_model_add_class_word(), and ngram_model_free().

## prob1

int32* ngram_class_s::prob1

Probability table for base words.

Definition at line 85 of file ngram_model_internal.h.

Referenced by ngram_model_add_class_word().

## start_wid

int32 ngram_class_s::start_wid

Starting base word ID for this class' words.

Definition at line 83 of file ngram_model_internal.h.

Referenced by ngram_model_free().

## tag_wid

int32 ngram_class_s::tag_wid

Base word ID for this class tag.

Definition at line 82 of file ngram_model_internal.h.

Referenced by ngram_model_add_class_word(), ngram_ng_prob(), and ngram_ng_score().

The documentation for this struct was generated from the following file:

- src/libsphinxbase/lm/ngram_model_internal.h